aboutsummaryrefslogtreecommitdiffstats
path: root/tools/updater
diff options
context:
space:
mode:
authorGiovanni Di Sirio <gdisirio@gmail.com>2018-09-23 05:59:56 +0000
committerGiovanni Di Sirio <gdisirio@gmail.com>2018-09-23 05:59:56 +0000
commit8c791c84231a8966a1faf219d220642b19f082fc (patch)
tree203b06ca0d6d20ea37027c8e209cab47e563c5ea /tools/updater
parent8ea6be21093d567e8ee202dda1a9158df29e5a0f (diff)
downloadChibiOS-8c791c84231a8966a1faf219d220642b19f082fc.tar.gz
ChibiOS-8c791c84231a8966a1faf219d220642b19f082fc.tar.bz2
ChibiOS-8c791c84231a8966a1faf219d220642b19f082fc.zip
Added mcuconf.h generator for L476.
git-svn-id: svn://svn.code.sf.net/p/chibios/svn/trunk@12286 110e8d01-0319-4d1e-a829-52ad28d1bb01
Diffstat (limited to 'tools/updater')
-rw-r--r--tools/updater/update_mcuconf_stm32l476xx.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/updater/update_mcuconf_stm32l476xx.sh b/tools/updater/update_mcuconf_stm32l476xx.sh
new file mode 100644
index 000000000..2b9bede4e
--- /dev/null
+++ b/tools/updater/update_mcuconf_stm32l476xx.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+if [ $# -eq 2 ]
+ then
+ if [ $1 = "rootpath" ]
+ then
+ find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32l476xx.sh "{}" \;
+ else
+ echo "Usage: update_mcuconf_stm32l476xx.sh [rootpath <root path>]"
+ fi
+elif [ $# -eq 1 ]
+then
+ declare conffile=$(<$1)
+ if egrep -q "STM32L476_MCUCONF" <<< "$conffile"
+ then
+ echo Processing: $1
+ egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l476xx
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./mcuconf.h $1
+ rm ./mcuconf.h ./values.txt
+ fi
+else
+ echo "Usage: update_mcuconf_stm32l476xx.sh [rootpath <root path>]"
+ echo " update_mcuconf_stm32l476xx.sh <configuration file>]"
+fi